Custom Fields
Reorder custom fields
Update the display order of custom fields by providing new ranking values. The order is reflected everywhere custom fields are displayed.
PUT /v1/custom-fields/reorder
Request body
Content-Type: application/json
updates
array<object> required
updates[].customFieldId
string (uuid) required
updates[].ranking
integer required
Example
{
"updates": [
{
"customFieldId": "00000000-0000-0000-0000-000000000000",
"ranking": 0
}
]
}
Responses
200 — Successful response
Content-Type: application/json
error
boolean required
data
object required
data.custom_fields
array<object> required
data.custom_fields[].id
string (uuid) required
data.custom_fields[].user_id
string
data.custom_fields[].name
string
data.custom_fields[].field_type
string
data.custom_fields[].categories
array<string>
data.custom_fields[].ranking
integer | null
Example
{
"error": false,
"data": {
"custom_fields": [
{
"id": "00000000-0000-0000-0000-000000000000"
}
]
}
}
400
No response body.
401
No response body.
403
No response body.
404
No response body.
429
No response body.
500
No response body.
Code samples
curl https://api.prod.getdex.com/v1/custom-fields/reorder \
--request PUT \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"updates": [
{
"customFieldId": "00000000-0000-0000-0000-000000000000",
"ranking": 0
}
]
}'
fetch('https://api.prod.getdex.com/v1/custom-fields/reorder', {
method: 'PUT',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
updates: [
{
customFieldId: '00000000-0000-0000-0000-000000000000',
ranking: 0
}
]
})
})
requests.put(
"https://api.prod.getdex.com/v1/custom-fields/reorder",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"updates": [
{
"customFieldId": "00000000-0000-0000-0000-000000000000",
"ranking": 0
}
]
}
)

